Edit a SipTrunk
PUT /api/v1/sip/trunk/{trunk_id}
Operation id: put__api_v1_sip_trunk_trunk_id_
Description
Edit a SipTrunk from sip_trunk table based on SipTrunk id
Tags: SipTrunk
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
trunk_id | integer | Yes | id of existing SipTrunk record |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenant_id | string | Yes | tenant id of required records |
Security
- PhoenixToken-Authorization (apiKey)
- PhoenixToken-Authorization
Responses
200 — OK
Content type: application/json
400 — Bad Request
Content type: application/json
401 — Unauthorized
Content type: application/json
500 — Internal Server Error
Content type: application/json
Request body
Updated SipTrunk Info
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
params | array | No | |
site_name | string | No | |
trunk_name | string | No |
{
"type": "object",
"properties": {
"params": {
"type": "array",
"items": {
"type": "integer"
}
},
"site_name": {
"type": "string"
},
"trunk_name": {
"type": "string"
}
}
}
Response models
200 — OK
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
customer_id | integer | No | |
id | integer | No | |
params | array | No | |
sbc_name | string | No | |
site_id | integer | No | |
site_name | string | No | |
trunk_name | string | No | |
updated_at | string | No |
{
"type": "object",
"properties": {
"customer_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"params": {
"type": "array",
"items": {
"type": "integer"
}
},
"sbc_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"trunk_name": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
400 — Bad Request
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}
401 — Unauthorized
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}
500 — Internal Server Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}